project(tw_metrics)

add_subdirectory(tests)

file(GLOB HEADERS
    include/metrics/*.hpp
)

add_library(${PROJECT_NAME} INTERFACE)
add_library(tw::metrics ALIAS ${PROJECT_NAME})
target_sources(${PROJECT_NAME}
    INTERFACE FILE_SET HEADERS
    BASE_DIRS include
    FILES ${HEADERS})

target_include_directories(${PROJECT_NAME}
    INTERFACE
    ${PROJECT_SOURCE_DIR}/include/
)
